| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_lns_navigation_s Struct Reference
Location and Navigation Service

Navigation data structure. More...

`#include <ble_lns.h>`

## Data Fields
bool | remaining_dist_present
bool | remaining_vert_dist_present
bool | eta_present
ble_lns_pos_status_type_t | position_status
ble_lns_heading_source_t | heading_source
ble_lns_nav_indicator_type_t | navigation_indicator_type
bool | waypoint_reached
bool | destination_reached
uint16_t | bearing
uint16_t | heading
uint32_t | remaining_distance
int32_t | remaining_vert_distance
ble_date_time_t | eta

## Detailed Description

Navigation data structure.

## Field Documentation

uint16_t ble_lns_navigation_s::bearing

Bearing (1/100 degrees).

bool ble_lns_navigation_s::destination_reached

Destination Reached (0=not reached, 1=reached).

ble_date_time_t ble_lns_navigation_s::eta

Estimated Time of Arrival.

bool ble_lns_navigation_s::eta_present

Estimated Time of Arrival present (0=not present, 1=present).

uint16_t ble_lns_navigation_s::heading

Heading (1/100 degrees), size=24 bit.

ble_lns_heading_source_t ble_lns_navigation_s::heading_source

Source of the heading measurement.

ble_lns_nav_indicator_type_t ble_lns_navigation_s::navigation_indicator_type

Navigation indicator type.

ble_lns_pos_status_type_t ble_lns_navigation_s::position_status

Status of last measured position.

bool ble_lns_navigation_s::remaining_dist_present

Remaining Distance present (0=not present, 1=present).

uint32_t ble_lns_navigation_s::remaining_distance

Remaining Distance (1/10 meters), size=24 bit.

bool ble_lns_navigation_s::remaining_vert_dist_present

Remaining Vertical Distance present (0=not present, 1=present).

int32_t ble_lns_navigation_s::remaining_vert_distance

Remaining Vertical Distance (1/100 meters), size=24 bit.

bool ble_lns_navigation_s::waypoint_reached

Waypoint Reached (0=not reached, 1=reached).